Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class ItemCountEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.ItemCountEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ItemCountEvent

extends java.util.EventObject

A semantic event which indicates that the number of items has changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ItemCountEvent(java.lang.Object source, int count)` Constructs a `ItemCountEvent` object.

Method Summary
`int` | `getItemCount()` Gets the new number of items.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemCountEvent

    public ItemCountEvent(java.lang.Object source,
                          int count)

  Constructs a `ItemCountEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `count` - The new number of items.

Method Detail

### getItemCount

    public int getItemCount()

  Gets the new number of items.

  Returns:
    The new number of items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.